#ifndef BHV_MARK_OPPONENT_H
#define BHV_MARK_OPPONENT_H

#include <rcsc/player/soccer_action.h>

namespace rcsc {
    class AbstractPlayerObject;
    class WorldModel;
}
class Bhv_MarkOpponent
        : public rcsc::SoccerBehavior
{
public:
    Bhv_MarkOpponent();

    virtual
    bool execute( rcsc::PlayerAgent * agent );

private:
    const rcsc::AbstractPlayerObject* closestTeammate( const rcsc::AbstractPlayerObject* opponent,
                                                       const rcsc::WorldModel& world_model );
};

#endif // BHV_MARK_OPPONENT_H
