#ifndef ICOMMUNICATION_POLICY_H
#define ICOMMUNICATION_POLICY_H

namespace setplay {

class ICommunicationPolicy
{
public:
    virtual ~ICommunicationPolicy() { }

    virtual bool shouldCommunicate() = 0;
};

class CommunicationPolicy
        : public ICommunicationPolicy
{
public:
    CommunicationPolicy();

    bool shouldCommunicate();
private:
    /// Setplay communication settings
    bool M_comm_allowed;
    bool M_single_channel_comm;
    unsigned int M_message_repeat_time;
};

}

#endif // ICOMMUNICATION_POLICY_H
