#ifndef COND_TEAM_POSSESSION_H
#define COND_TEAM_POSSESSION_H

#include <setplay/model/conditions/icondition.h>
#include <setplay/model/participants/iplayer.h>
#include <setplay/model/types.h>

namespace setplay {

class CondTeamInPossession
        : public ICondition
{
public:
    CondTeamInPossession(TeamAffiliation teamInPossession);
    CondTeamInPossession(const CondTeamInPossession& other);

    TeamAffiliation teamInPossession() const;

    TokenType type() const;
    CondTeamInPossession* clone() const;
    CondTeamInPossession& operator*();
    void visit(IVisitor& visitor);
private:
    TeamAffiliation M_team_in_possession;
};

}

#endif // COND_TEAM_POSSESSION_H
