#include "do.h"

#include <setplay/model/ivisitor.h>

namespace setplay
{

        Do::Do(Players *players, Actions* actions)
          : IDirective(players,actions)
        {

        }

        Do::Do(const Do& other)
            : IDirective(other)
        {

        }

        Do::~Do()
        {

        }

        TokenType Do::type() const
        {
            return TT_DIRECTIVE_DO;
        }

        IDirective::DirectiveType Do::directiveType() const
        {
            return IDirective::DT_DO;
        }

        void Do::visit(IVisitor& visitor)
        {
            visitor.visit( *this );
        }

        Do* Do::clone() const
        {
            return new Do( *this );
        }
}
