#include "abort.h"

#include <setplay/model/ivisitor.h>

namespace setplay {

    Abort::Abort(ICondition* start_condition,
                 vector<IDirective *>* directives)
        : ITransition(start_condition, directives)
    {

    }

    Abort::~Abort()
    {

    }


    TokenType Abort::type() const
    {
        return TT_TRANSITION_ABORT;
    }

    ITransition::TransitionType Abort::transitionType() const
    {
        return ITransition::TT_ABORT;
    }

    void Abort::visit(IVisitor& visitor)
    {
        visitor.visit( *this );
    }

    Abort* Abort::clone() const
    {
        return new Abort( *this );
    }
}

