// -*-c++-*-
#ifndef SP_ABORT_H
#define SP_ABORT_H

#include <setplay/model/transitions/itransition.h>

namespace setplay {
    class IVisitor;

    class Abort: public ITransition {
    public:
        Abort(ICondition* startCondition = NULL,
              vector<IDirective *>* directives = NULL);
        ~Abort();

        TokenType type() const;
        TransitionType transitionType() const;

        void visit(IVisitor& visitor);
        Abort* clone() const;
    };

}

#endif
