// -*-c++-*-
#ifndef SP_FINISH_H
#define SP_FINISH_H

#include <setplay/model/transitions/itransition.h>

namespace setplay {
    class IVisitor;

    class Finish: public ITransition {
    public:
      Finish(ICondition* startCondition = NULL,
             Directives* directives = NULL);
      ~Finish();

      TokenType type() const;
      TransitionType transitionType() const;

      void visit(IVisitor& visitor);
      Finish* clone() const;
    };

}

#endif
