#ifndef SIMPLEPARSERS_H
#define SIMPLEPARSERS_H

#include <boost/spirit/include/classic_core.hpp>

using namespace boost;
using namespace BOOST_SPIRIT_CLASSIC_NS;

//Global constants
//Faltam outros servi�os
const rule<> service_p = 
  str_p("SOW")|str_p("ACTION")|str_p("DECISION")|str_p("PROXY");
const rule<> identifier_p = *(alnum_p | '_' | '-'); // TODO Fix a bug possibly of the alnum_p for "Player1<X>", where X is a number
const rule<> textNoParentesis_p=
  +(alnum_p|'.'|'/'|':'|'-'|'_'|'~');

const rule<> comparison_p = 
  str_p("<=")|str_p("<")|str_p("==")|str_p("!=")|str_p(">=")|str_p(">");

const rule<> agentID_p = "(agent-identifier" 
  >> +space_p >> ":name" >> +space_p 
  >> identifier_p >> +space_p 
  >> ":addresses" >> +space_p >> "(sequence" 
  >> *(+space_p >> textNoParentesis_p)
  >> *space_p >> ')'>> *space_p >> ')';

// 01/09/11 FA
const rule<> team_p = str_p("opp")|str_p("our");


#endif // SIMPLEPARSERS_H

