#include "ball_kick.h"

#include <soccer/events/ievent_visitor.h>

namespace soccer {
    namespace event {

        BallKick::BallKick(unsigned int start_time, PlayerId kicker)
            : Event(start_time)
            , M_kicker(kicker)
        {

        }

        PlayerId BallKick::kicker() const
        {
            return M_kicker;
        }

        IEvent::EventType BallKick::type() const
        {
            return IEvent::BallKick;
        }

        void BallKick::visit(IEventVisitor &visitor) const
        {
            visitor.visit( *this );
        }
    }
}
