#ifndef BALL_KICK_H
#define BALL_KICK_H

#include <soccer/events/event.h>
#include <soccer/player_id.h>

namespace soccer {
    namespace event {

    class BallKick: public Event
    {
    public:
        BallKick(unsigned int start_time, PlayerId kicker);

        PlayerId kicker() const;
        EventType type() const;

        void visit(IEventVisitor &visitor) const;
    private:
        PlayerId M_kicker;
    };

    }
}

#endif
