#ifndef DRIBBLE_H
#define DRIBBLE_H

#include <soccer/events/event.h>
#include <soccer/player_id.h>
#include <rcsc/geom/vector_2d.h>

namespace soccer 
{
	namespace event
	{
		
		class Dribble: public Event {
		public:
			Dribble(unsigned int start_time, unsigned int end_time,
					PlayerId dribbler);

            EventType type() const;
   			PlayerId dribbler() const;
			
            void visit(IEventVisitor& visitor) const;
		private:
			PlayerId M_dribbler;
		};

	}
}

#endif
