#ifndef EVENT_H
#define EVENT_H

#include "ievent.h"

namespace soccer 
{
	namespace event 
	{
		
        class Event
                : public IEvent {
		public:
			Event(unsigned int start_time);
			Event(unsigned int start_time, unsigned int end_time);

			/// Implement IEvent interface methods
			unsigned int startTime() const;
			unsigned int endTime() const;

            virtual void visit(IEventVisitor& visitor) const = 0;
		private:
			void checkRep() const;
			
			unsigned int M_start_time;
			unsigned int M_end_time;	

		};

	}
}

#endif // EVENT_H
