#ifndef FREE_KICK_H
#define FREE_KICK_H

#include <soccer/events/event.h>
#include <soccer/player_id.h>

namespace soccer
{
	namespace event
	{
	
		class FreeKick: public Event {
		public:
            FreeKick(unsigned int start_time, TeamSide side);

            EventType type() const;
            TeamSide side() const;
			
            void visit(IEventVisitor& visitor) const;
		private:
            TeamSide M_side;
		};

	}
}


#endif
