#ifndef KICK_OFF_TAKEN_H
#define KICK_OFF_TAKEN_H

#include <soccer/events/event.h>
#include <soccer/player_id.h>

namespace soccer
{
    namespace event
    {
        class KickOffTaken
                : public Event {
        public:
            KickOffTaken(unsigned int start_time, TeamSide side);

            EventType type() const;
            TeamSide side() const;

            void visit(IEventVisitor& visitor) const;
        private:
            TeamSide M_side;

        };

    }
}

#endif // KICK_OFF_TAKEN_H
