#ifndef SHOOT_H
#define SHOOT_H

#include <soccer/events/event.h>
#include <soccer/player_id.h>

namespace soccer
{
	namespace event
	{
	
		class Shoot: public Event {
		public:
            Shoot(unsigned int start_time,
			      PlayerId shooter);

            EventType type() const;
   			PlayerId shooter() const;
			
            void visit(IEventVisitor& visitor) const;
		private:
			PlayerId M_shooter;	

		};

	}
}


#endif
