#include "throw_in.h"
#include "ievent_visitor.h"

namespace soccer {
	namespace event {

        ThrowIn::ThrowIn(unsigned int start_time, TeamSide side)
            : Event(start_time)
            , M_side(side)
		{
		
		}

        IEvent::EventType ThrowIn::type() const
        {
            return IEvent::ThrowIn;
        }

        TeamSide ThrowIn::side() const
		{
            return M_side;
		}
		
        void ThrowIn::visit(IEventVisitor& visitor) const
		{
			visitor.visit( *this );
		}

	}
}

