#ifndef TURNOVER_H
#define TURNOVER_H

#include <soccer/events/event.h>
#include <soccer/types.h>

namespace soccer {
namespace event {

class Turnover
        : public Event
{
public:
    Turnover(unsigned int start_time, TeamSide team_in_possession);

    EventType type() const;
    TeamSide teamInPossession() const;

    void visit(IEventVisitor &visitor) const;
private:
    TeamSide M_team_in_possesion;
};

}
}

#endif // TURNOVER_H
