#include "flux_manager.h"

#include <soccer/iworld_model.h>

namespace soccer {
namespace flux {

    FluxManager::FluxManager()
    {

    }

    FluxManager::~FluxManager()
    {

    }


    void FluxManager::setFlux(const Flux *new_flux)
    {
        if ( M_current_flux == new_flux )
        {
            return;
        }
        M_current_flux = new_flux;
        fluxChanged( );
    }


    rcsc::Vector2D FluxManager::fluxPosition() const
    {
        return M_next_position;
    }


    double FluxManager::flux(const rcsc::Vector2D& position) const
    {
        return M_current_flux->value(position);
    }


    void FluxManager::update(IWorldModel *)
    {
        // TODO Decide how flux should be updated!!
        // Do flux calculations here => Update flux values based on opponent positions?
        //
    }


}
}
