#include "bhv_openpassline.h"

#include <rcsc/player/player_agent.h>
#include <rcsc/player/world_model.h>
#include <rcsc/player/intercept_table.h>

#include <rcsc/common/logger.h>

using namespace rcsc;

Bhv_OpenPassLine::Bhv_OpenPassLine()
{
}

bool Bhv_OpenPassLine::execute( rcsc::PlayerAgent * agent )
{
    // Figure out where the best position for the agent to receive a pass

    // Who is our player that owns the ball
    const AbstractPlayerObject* ball_owner = agent->world().interceptTable()->fastestTeammate();

    if ( ball_owner == NULL )
    {
        dlog.addText( Logger::ACTION,
                      __FILE__ " No ball owner found");
    }

    // Can the teammate own the ball


    // Pass line between myself and the ball owner player
    Line2D pass_line(ball_owner->pos(), agent->world().self().pos());



}
