#include "setplay.h"
#include "region.h"
#include "namesubstitutions.h"
#include "clang/vector.h"

#include <fstream>


using namespace std;
using namespace rcss::geom;
using namespace fcportugal::setplay;

int main(int argc,char *argv[]){
  if(argc<2) {
    cout<<"Usage: "<<argv[0]<<" source_file [target_minified_file]"<<endl;
    return 0;
  }

  vector<string> text;
  string line;
  ifstream textstream (argv[1]);
  while (getline(textstream, line)) {
    text.push_back(line);
  } 
  textstream.close();
  string alltext;
  for (unsigned int i=0; i < text.size(); i++){
    size_t j = text[i].find('\t', 0);
    while(j!=string::npos){
      text[i].replace(j,1," ");
      j = text[i].find("\t", 0);
    }
    alltext += text[i];
  }

  
  
  string resto;
  do {
      Setplay* sp = Setplay::parse(alltext,resto,false,false,NULL,0);
      if(sp) {
        // os<<"\n\nMinified version\n\n";
        sp->print(cout);
      }else{
        cerr<<"SP a NULL"<<endl;
        exit(0);
      }
  } while (resto!="");
  
  return 0;
}

