// -*-c++-*-

/***************************************************************************
                                act_shoot.h
                       Abstract base class for CLang IActions
                             -------------------
    begin                : 28-MAY-2002
    copyright            : (C) 2006 Luis Mota
    email                : luis.mota@iscte.pt
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU LGPL as published by the Free Software  *
 *   Foundation; either version 2 of the License, or (at your option) any  *
 *   later version.                                                        *
 *                                                                         *
 ***************************************************************************/
#ifndef SP_ACTION_SHOOT_H
#define SP_ACTION_SHOOT_H

#include <setplay/model/actions/iaction.h>

using namespace std;

namespace setplay {
    class IContextProvider;
    class IPlayer;
    class IVisitor;


    // Shoot at goal
    class ActShoot: public IAction {
    public:
          ActShoot();

          ~ActShoot();

          TokenType type() const;
          ActionType actionType() const;

          ActShoot& operator*();
          ActShoot* clone() const;

          ActShoot& operator=(const ActShoot& other);

          bool operator==(const ActShoot& other);

          void visit(IVisitor& visitor);
    };
}

#endif
