#ifndef SP_CONDITION_VAR_H
#define SP_CONDITION_VAR_H

#include <setplay/model/variable.h>
#include <setplay/model/conditions/icondition.h>

namespace setplay {
    class ICondition;
    class IContextProvider;
    class IVisitor;

    class VarCondition
            : public ICondition
            , public Variable
    {
    public:
        VarCondition(const string name);

        TokenType type() const;

        void visit(IVisitor& visitor);
        VarCondition& operator*();
    };

}

#endif // SP_CONDITION_VAR_H
