// -*-c++-*-

#ifndef SP_DONT_H
#define SP_DONT_H

#include <setplay/model/directives/idirective.h>

namespace setplay {
        class IPlayer;
        class IAction;

        class Dont
                : public IDirective {
        public:
            Dont(Players* players = NULL, Actions* actions = NULL);
            Dont(const Dont& other);
            virtual ~Dont();

            TokenType type() const;
            DirectiveType directiveType() const;

            void visit(IVisitor &visitor);
            Dont* clone() const;
    };
}

#endif
