#ifndef ISETPLAYPARSER_H
#define ISETPLAYPARSER_H

#include <vector>
#include <string>

#include <setplay/model/setplay.h>

using namespace std;

namespace setplay {
    /*class Setplay;
    class IStep;
    class ITransition;
    class IDirective;
    class IParticipation;
    class IAction;
    class IActor;
    class ICondition;
    class IRegion;
    class IVariable;
    class IObject;
    // class IPosition;*/

    class ISetplayParser
    {
    public:
        ISetplayParser() { }

        virtual vector<Setplay>* parse(const string filePath) = 0;
        virtual vector<Setplay>* parse(const string& in, string out) = 0;

    protected:
        /*virtual ISetplay* parseSetplay(const string&in, string& out) = 0;
        virtual IStep* parseStep(const string&in, string& out) = 0;
        virtual IParticipation* parseParticipation(const string&in, string& out) = 0;
        virtual ITransition* parseTransition(const string&in, string& out) = 0;
        virtual IDirective* parseDirective(const string& in, string& out) = 0;
        virtual IActor* parseActor(const string& in, string& out) = 0;
        virtual IAction* parseAction(const string& in, string& out) = 0;
        virtual IRegion* parseRegion(const string& in, string& out) = 0;
        // IAction* parsePosition(const string& in, string& out) = 0;
        virtual ICondition* parseCondition(const string& in, string& out) = 0;
        virtual IVariable* parseVariable(const string& in, string& out) = 0;
        virtual IObject* parseObject(const string& in, string& out) = 0;

        // Parse sets of elements => Implemented
        virtual vector<T*>* ISetplayParser::parseSet(const string& in, string& out,
                                     T* (*fn)(const string&in, string& out));

        virtual vector<ICondition*>* parseConditions(const string& in, string& out);
        virtual vector<IActor*>* parseActors(const string& in, string& out);
        virtual vector<IAction*>* parseActions(const string& in, string& out);
        virtual vector<IStep*>* parseSteps(const string& in, string& out);
        virtual vector<IParticipation*>* parseParticipations(const string& in, string& out);
        virtual vector<ITransition*>* parseTransition(const string& in, string& out);
        virtual vector<IDirective*>* parseDirectives(const string& in, string& out);
        virtual vector<IRegion*>* parseRegions(const string& in, string& out);
        virtual vector<IVariable*>* parseVariables(const string& in, string& out); */
    };

}
#endif // ISETPLAYPARSER_H
