#ifndef TRANSITION_SELECTOR_H
#define TRANSITION_SELECTOR_H

#include <setplay/model/step.h>
#include <setplay/runtime/setplay_interpreter.h>

namespace setplay {

class ITransitionSelector
{
public:
    virtual ~ITransitionSelector() { }

    virtual const ITransition* selectTransition( const SetplayInterpreter& interpreter ) = 0;
};

class FirstFeasibleTransitionSelector
        : public ITransitionSelector
{
public:
    FirstFeasibleTransitionSelector();

    const ITransition* selectTransition( const SetplayInterpreter& interpreter );

};

}

#endif // TRANSITION_SELECTOR_H
