#include "free_kick.h"
#include "ievent_visitor.h"

namespace soccer 
{
	namespace event 
	{

        FreeKick::FreeKick(unsigned int start_time, TeamSide side)
            : Event(start_time)
            , M_side(side)
		{

		}

        IEvent::EventType FreeKick::type() const
        {
            return IEvent::FreeKick;
        }

        TeamSide FreeKick::side() const
		{
            return M_side;
		}
		
        void FreeKick::visit(IEventVisitor& visitor) const
		{
			visitor.visit( *this );
		}

	}
}
