#ifndef FREE_KICK_TAKEN_H
#define FREE_KICK_TAKEN_H

#include <soccer/events/event.h>
#include <soccer/player_id.h>

namespace soccer
{
    namespace event
    {

        class FreeKickTaken: public Event {
        public:
            FreeKickTaken(unsigned int start_time, TeamSide side);

            EventType type() const;
            TeamSide side() const;

            void visit(IEventVisitor& visitor) const;
        private:
            TeamSide M_side;
        };

    }
}

#endif // FREE_KICK_TAKEN_H
