#ifndef GOAL_KICK_H
#define GOAL_KICK_H

#include <soccer/events/event.h>
#include <soccer/player_id.h>

namespace soccer {
	namespace event {
	
		class GoalKick: public Event {
		public:
            GoalKick(unsigned int start_time, TeamSide side);

            EventType type() const;
            TeamSide side() const;
			
            void visit(IEventVisitor& visitor) const;
		private:
            TeamSide M_side;
		};

	}
}


#endif
