#include "goal_opportunity.h"

namespace soccer
{
	namespace event 
	{
	

		GoalOpportunity::GoalOpportunity(unsigned int start_time, PlayerId player)
			: Event(start_time)
			, M_player(player)
		
		{
		
		}
			
        IEvent::EventType GoalOpportunity::type( ) const
        {
            return IEvent::GoalOpportunity;
        }

		PlayerId GoalOpportunity::player() const
		{
			return M_player;
		}
		
	}
}
