#include "indirect_free_kick_taken.h"

#include "ievent_visitor.h"

namespace soccer
{
    namespace event
    {

        IndirectFreeKickTaken::IndirectFreeKickTaken(unsigned int start_time, TeamSide side)
            : Event(start_time)
            , M_side(side)
        {

        }

        IEvent::EventType IndirectFreeKickTaken::type() const
        {
            return IEvent::IndirectFreeKickTaken;
        }

        TeamSide IndirectFreeKickTaken::side() const
        {
            return M_side;
        }

        void IndirectFreeKickTaken::visit(IEventVisitor& visitor) const
        {
            visitor.visit( *this );
        }

    }
}
