#ifndef THROW_IN_TAKEN_H
#define THROW_IN_TAKEN_H

#include <soccer/events/event.h>
#include <soccer/player_id.h>

namespace soccer
{
    namespace event
    {

        class ThrowInTaken
                : public Event {
        public:
            ThrowInTaken(unsigned int start_time, TeamSide side);

            EventType type() const;
            TeamSide side() const;

            void visit(IEventVisitor& visitor) const;
        private:
            TeamSide M_side;

        };

    }
}


#endif // THROW_IN_TAKEN_H
